<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XDGFCell (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XDGFCell (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFCell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFCell.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFCell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xdgf.usermodel</div>
    <h2 title="Class XDGFCell" class="title">Class XDGFCell</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xdgf.usermodel.XDGFCell</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XDGFCell</span>
extends java.lang.Object</pre>
                <div class="block">There are a lot of different cell types. Cell is really just an attribute of
                    the thing that it's attached to. Will probably refactor this once I figure
                    out a better way to use them

                    The various attributes of a Cell are constrained, and are better defined in
                    the XSD 1.1 visio schema

                    Values of a cell are often the result of a formula computation. Luckily for
                    you, Visio seems to always write the result to the document file, so unless
                    the values change we don't need to recompute the values.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#XDGFCell-com.microsoft.schemas.office.visio.x2012.main.CellType-">XDGFCell</a></span>(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#getError--">getError</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#getFormula--">getFormula</a></span>()</code>
                                    <div class="block">Represents the element's formula.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#getName--">getName</a></span>()</code>
                                    <div class="block">Represents the name of the ShapeSheet cell.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#getValue--">getValue</a></span>()</code>
                                    <div class="block">Represents the value of the cell.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected
                                    com.microsoft.schemas.office.visio.x2012.main.CellType</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#maybeGetBoolean-java.util.Map-java.lang.String-">maybeGetBoolean</a></span>(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                    java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#maybeGetDouble-java.util.Map-java.lang.String-">maybeGetDouble</a></span>(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                    java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#maybeGetInteger-java.util.Map-java.lang.String-">maybeGetInteger</a></span>(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                    java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#maybeGetString-java.util.Map-java.lang.String-">maybeGetString</a></span>(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                    java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#parseDoubleValue-com.microsoft.schemas.office.visio.x2012.main.CellType-">parseDoubleValue</a></span>(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#parseIntegerValue-com.microsoft.schemas.office.visio.x2012.main.CellType-">parseIntegerValue</a></span>(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html#parseVLength-com.microsoft.schemas.office.visio.x2012.main.CellType-">parseVLength</a></span>(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XDGFCell-com.microsoft.schemas.office.visio.x2012.main.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XDGFCell</h4>
                                <pre>public&nbsp;XDGFCell(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="maybeGetBoolean-java.util.Map-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>maybeGetBoolean</h4>
                                <pre>public static&nbsp;java.lang.Boolean&nbsp;maybeGetBoolean(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                                java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                        <a name="maybeGetDouble-java.util.Map-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>maybeGetDouble</h4>
                                <pre>public static&nbsp;java.lang.Double&nbsp;maybeGetDouble(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                              java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                        <a name="maybeGetInteger-java.util.Map-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>maybeGetInteger</h4>
                                <pre>public static&nbsp;java.lang.Integer&nbsp;maybeGetInteger(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                                java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                        <a name="maybeGetString-java.util.Map-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>maybeGetString</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;maybeGetString(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/xdgf/usermodel/XDGFCell.html"
                                        title="class in org.apache.poi.xdgf.usermodel">XDGFCell</a>&gt;&nbsp;cells,
                                              java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                        <a name="parseDoubleValue-com.microsoft.schemas.office.visio.x2012.main.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseDoubleValue</h4>
                                <pre>public static&nbsp;java.lang.Double&nbsp;parseDoubleValue(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="parseIntegerValue-com.microsoft.schemas.office.visio.x2012.main.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseIntegerValue</h4>
                                <pre>public static&nbsp;java.lang.Integer&nbsp;parseIntegerValue(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="parseVLength-com.microsoft.schemas.office.visio.x2012.main.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parseVLength</h4>
                                <pre>public static&nbsp;java.lang.Double&nbsp;parseVLength(com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;cell)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The type of the cell</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A value converted to inches</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
protected&nbsp;com.microsoft.schemas.office.visio.x2012.main.CellType&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">Represents the name of the ShapeSheet cell.</div>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getValue()</pre>
                                <div class="block">Represents the value of the cell.</div>
                            </li>
                        </ul>
                        <a name="getFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFormula()</pre>
                                <div class="block">Represents the element's formula. This attribute can contain one of
                                    the
                                    following strings: - '(some formula)' if the formula exists locally - No
                                    Formula if the formula is locally deleted or blocked - Inh if the formula
                                    is inherited.
                                </div>
                            </li>
                        </ul>
                        <a name="getError--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getError</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getError()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XDGFCell.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFBaseContents.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xdgf/usermodel/XDGFConnection.html"
               title="class in org.apache.poi.xdgf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xdgf/usermodel/XDGFCell.html" target="_top">Frames</a>
        </li>
        <li><a href="XDGFCell.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
